Bug 1553238 - python2-shade version bump: 1.27.0 -> 1.27.1 for OSP 13
Summary: python2-shade version bump: 1.27.0 -> 1.27.1 for OSP 13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-shade
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Toure Dunnon
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks: 1553260
TreeView+ depends on / blocked
 
Reported: 2018-03-08 14:53 UTC by Jon Uriarte
Modified: 2019-03-05 15:47 UTC (History)
6 users (show)

Fixed In Version: python-shade-1.27.1-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-05 15:47:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:35:54 UTC

Description Jon Uriarte 2018-03-08 14:53:47 UTC
Description of problem:

The python2-shade version 1.27.1 is required for OpenStack playbooks in Openshift-ansible,
as the version 1.27.0 has a bug [1] that affects the playbooks.
The bug has been fixed [2] for the 1.27.1 version.

Currently, the python2-shade 1.27.0 version is shipped for OSP 13 [3].

Please note that RDO is using 1.27.0 as well and needs to be updated too.


[1] https://storyboard.openstack.org/#!/story/2001619
[2] https://review.openstack.org/#/c/548702/
[3] http://download-node-02.eng.bos.redhat.com/rcm-guest/puddles/OpenStack/13.0-RHEL-7/latest/RH7-RHOS-13.0/x86_64/os/Packages/


How reproducible:
Always

Steps to Reproduce:
1. Install latest OSP 13 repositories:
    $ sudo rpm -i http://rhos-release.virt.bos.redhat.com/repos/rhos-release/rhos-release-latest.noarch.rpm
    $ sudo rhos-release 13
2. Check python2-shade package version
    $ sudo yum list python2-shade
    python2-shade.noarch             1.27.0-0.20180228091307.e0e8841.el7ost             @rhelosp-13.0-puddle
3. The version should be 1.27.1

Comment 2 Ryan Brady 2018-03-14 12:10:08 UTC
Removed DFG Workflows from internal whiteboard to reflect the decision that our DFG is not the right team to take this on.  This project needs a DFG that has dedicated QE coverage.

Comment 6 Jon Uriarte 2018-03-19 15:24:59 UTC
Verified in 2018-03-16.1 puddle, and the python2-shade version is correct.

$ sudo rpm -i http://rhos-release.virt.bos.redhat.com/repos/rhos-release/rhos-release-latest.noarch.rpm      
                                                               
$ sudo rhos-release 13
Installed: /etc/yum.repos.d/rhos-release-rhel-7.5.repo
Installed: /etc/yum.repos.d/rhos-release-ceph-3.repo
Installed: /etc/yum.repos.d/rhos-release-ceph-osd-3.repo
Installed: /etc/yum.repos.d/rhos-release-13.repo
# rhos-release 13   -p 2018-03-16.1

$ sudo yum list python2-shade                                                                                                                                               
python2-shade.noarch               1.27.1-1.el7ost          rhelosp-13.0-puddle 

Thank you

Comment 8 errata-xmlrpc 2018-06-27 13:35:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.